Loading...
Searching...
No Matches
BALL::Exception::NotImplemented Class Reference

`#include <BALL/COMMON/exception.h>`

Inheritance diagram for BALL::Exception::NotImplemented:

## Public Member Functions

| NotImplemented (const char *file, int line)
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Additional Inherited Members

const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

Not implemented exception. This exception should be thrown to indicate not yet inplemented methods. If you take the time to use the detailed constructor instead of the default constructor, identification of the concerned source will get much easier!

Definition at line 292 of file COMMON/exception.h.

## Constructor & Destructor Documentation

## NotImplemented()

BALL::Exception::NotImplemented::NotImplemented | ( | const char * | file,
|  | int | line )